CFG_PATH="/sdcard/Android/naki/asopt"
MODS_PATH="/data/adb/modules"

echo "
- 配置文件位于 $CFG_PATH
- The config file is at $CFG_PATH
"

note="# mode：运行模式
# 0：硬亲和，理论上表现更好
# 1：软迁移，类似于官方调度
# 2：硬迁移，帧率可能更稳定
# 模式 2 仅适用于不低于以下版本的内核：
# 高通：5.10 联发科：5.15

# mode: Operation Mode
# 0: Affinity, performs better in theory
# 1: Soft migrate, closer to the default
# 2: Hard migrate, maybe more stable fps
# mode 2 is only available on kernels not older than:
# Qualcomm: 5.10 Mediatek: 5.15

# ***修改此文件后重启生效***
# ***Reboot after modification to take effect***
"

mode=$(grep mode= $CFG_PATH/asopt.conf)
[ -z $mode ] && mode="mode=0"

rm -rf /data/adb/asopt /data/asopt.conf /sdcard/Android/asopt /sdcard/Android/naki/asopt
mkdir -p $CFG_PATH $MODS_PATH
echo "$note
$mode" > $CFG_PATH/asopt.conf

chmod +x $MODPATH/AsoulOpt; killall -15 AsoulOpt
rm $MODPATH/customize.sh; cp -af $MODPATH $MODS_PATH
sh $MODS_PATH/asoul_affinity_opt/service.sh
